groovy.lang

## Class MapWithDefault<K,V>

- java.lang.Object
- - groovy.lang.MapWithDefault<K,V>

- All Implemented Interfaces:
    Map<K,V>

      public final class MapWithDefault<K,V>
      extends Object
      implements Map<K,V>

  A wrapper for Map which allows a default value to be specified.
  Since:
    1.7.1

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `boolean` | `containsKey(Object key)`
    `boolean` | `containsValue(Object value)`
    `Set<Map.Entry<K,V>>` | `entrySet()`
    `boolean` | `equals(Object obj)`
    `V` | `get(Object key)`
    `int` | `hashCode()`
    `boolean` | `isEmpty()`
    `Set<K>` | `keySet()`
    `static <K,V> Map<K,V>` | `newInstance(Map<K,V> m, Closure initClosure)`
    `V` | `put(K key, V value)`
    `void` | `putAll(Map<? extends K,? extends V> m)`
    `V` | `remove(Object key)`
    `int` | `size()`
    `Collection<V>` | `values()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `compute, computeIfAbsent, computeIfPresent, forEach, getOrDefault, merge, putIfAbsent, remove, replace, replace, replaceAll`

- - ### Method Detail

    - #### newInstance

          public static <K,V> Map<K,V> newInstance(Map<K,V> m,
                                                   Closure initClosure)

    - #### size

          public int size()

      Specified by:
        `size` in interface `Map<K,V>`

    - #### isEmpty

          public boolean isEmpty()

      Specified by:
        `isEmpty` in interface `Map<K,V>`

    - #### containsKey

          public boolean containsKey(Object key)

      Specified by:
        `containsKey` in interface `Map<K,V>`

    - #### containsValue

          public boolean containsValue(Object value)

      Specified by:
        `containsValue` in interface `Map<K,V>`

    - #### get

          public V get(Object key)

      Specified by:
        `get` in interface `Map<K,V>`

    - #### put

          public V put(K key,
                       V value)

      Specified by:
        `put` in interface `Map<K,V>`

    - #### remove

          public V remove(Object key)

      Specified by:
        `remove` in interface `Map<K,V>`

    - #### putAll

          public void putAll(Map<? extends K,? extends V> m)

      Specified by:
        `putAll` in interface `Map<K,V>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `Map<K,V>`

    - #### keySet

          public Set<K> keySet()

      Specified by:
        `keySet` in interface `Map<K,V>`

    - #### values

          public Collection<V> values()

      Specified by:
        `values` in interface `Map<K,V>`

    - #### entrySet

          public Set<Map.Entry<K,V>> entrySet()

      Specified by:
        `entrySet` in interface `Map<K,V>`

    - #### equals

          public boolean equals(Object obj)

      Specified by:
        `equals` in interface `Map<K,V>`
      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Specified by:
        `hashCode` in interface `Map<K,V>`
      Overrides:
        `hashCode` in class `Object`